Bug 971494 - [abrt] mock-1.1.32-1.fc18: subprocess.py:1249:_execute_child:OSError: [Errno 2] No such file or directory
[abrt] mock-1.1.32-1.fc18: subprocess.py:1249:_execute_child:OSError: [Errno ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
abrt_hash:e30e45bdabaef8e665478770e80...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 12:15 EDT by Eric Harney
Modified: 2014-01-04 10:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-04 10:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.25 KB, text/plain)
2013-06-06 12:15 EDT, Eric Harney
no flags Details
File: core_backtrace (1.31 KB, text/plain)
2013-06-06 12:16 EDT, Eric Harney
no flags Details
File: environ (189 bytes, text/plain)
2013-06-06 12:16 EDT, Eric Harney
no flags Details

  None (edit)
Description Eric Harney 2013-06-06 12:15:53 EDT
Description of problem:
Running "mock -r epel-6-x86_64 --no-clean --rebuild <srpm>"

Version-Release number of selected component:
mock-1.1.32-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python -tt /usr/sbin/mock -r epel-6-x86_64 --no-clean --rebuild /home/eharney/rpmbuild/SRPMS/openstack-cinder-2013.2-1.el6.src.rpm
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/sbin/mock
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
subprocess.py:1249:_execute_child:OSError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/sbin/mock", line 561, in <module>
    def do_buildsrpm(config_opts, chroot, options, args):
  File "/usr/sbin/mock", line 880, in main
    do_rebuild(config_opts, chroot, args)
  File "<peak.util.decorators.rewrap wrapping __main__.do_rebuild at 0x028C45F0>", line 3, in do_rebuild
    def do_rebuild(config_opts, chroot, srpms): return __decorated(config_opts, chroot, srpms)
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 533, in do_rebuild
    chroot.build(srpm, timeout=config_opts['rpmbuild_timeout'])
  File "<peak.util.decorators.rewrap wrapping mockbuild.backend.build at 0x0286D6E0>", line 3, in build
    def build(self, srpm, timeout): return __decorated(self, srpm, timeout)
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/backend.py", line 672, in build
    gid=self.chrootgid,
  File "/usr/lib/python2.7/site-packages/mockbuild/backend.py", line 551, in doChroot
    printOutput=printOutput, *args, **kargs)
  File "<peak.util.decorators.rewrap wrapping mockbuild.util.do at 0x02870488>", line 3, in do
    def do(command, shell, chrootPath, cwd, timeout, raiseExc, returnOutput, uid, gid, personality, printOutput, env, *args, **kargs): return __decorated(command, shell, chrootPath, cwd, timeout, raiseExc, returnOutput, uid, gid, personality, printOutput, env, *args, **kargs)
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 323, in do
    preexec_fn = preexec,
  File "/usr/lib64/python2.7/subprocess.py", line 679, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/subprocess.py", line 1249, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
errread: 11
c2pread: 9
gc_was_enabled: True
errwrite: 12
shell: False
errpipe_write: 14
executable: 'rpm'
close_fds: True
self: <subprocess.Popen object at 0x2e45e10>
env: {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
cwd: None
child_exception: OSError(2, 'No such file or directory')
args: ['rpm', '-Uvh', '--nodeps', '/builddir/build/originals/openstack-cinder-2013.2-1.el6.src.rpm']
fd: 11
c2pwrite: 10
data: 'cexceptions\nOSError\np0\n(I2\nS\'No such file or directory\'\np1\ntp2\nRp3\n(dp4\nS\'child_traceback\'\np5\nS\'Traceback (most recent call last):\\n  File "/usr/lib64/python2.7/subprocess.py", line 1203, in _execute_child\\n  File "/usr/lib64/python2.7/os.py", line 353, in execvpe\\n  File "/usr/lib64/python2.7/os.py", line 380, in _execvpe\\nOSError: [Errno 2] No such file or directory\\n\'\np6\nsb.'
creationflags: 0
errpipe_read: 13
preexec_fn: <mockbuild.util.ChildPreExec object at 0x2e45810>
p2cread: 4
startupinfo: None
p2cwrite: None
universal_newlines: False
Comment 1 Eric Harney 2013-06-06 12:15:57 EDT
Created attachment 757735 [details]
File: backtrace
Comment 2 Eric Harney 2013-06-06 12:16:00 EDT
Created attachment 757736 [details]
File: core_backtrace
Comment 3 Eric Harney 2013-06-06 12:16:03 EDT
Created attachment 757737 [details]
File: environ
Comment 4 Clark Williams 2013-10-24 15:05:36 EDT
Eric,

That almost looks like rpm wasn't installed, which doesn't make sense. The error is being thrown from the subprocess.Popen call, where we're running an rpm command to install the source rpm. If rpm started up properly and the srpm didn't exist, we'd get an error from rpm. So the OSError 2, 'No such file or directory' to me means that rpm isn't there. 

I see that you're using --no-clean, meaning you're running from a pre-existing chroot. Can you verify that the rpm package is installed and intact in the chroot?
Comment 5 Fedora End Of Life 2013-12-21 10:32:51 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Eric Harney 2013-12-23 09:45:20 EST
Unfortunately I don't have this environment setup any more, so I can't provide any more info about this particular failure.  It's possible that the environment wasn't built correctly or was corrupted.
Comment 7 Clark Williams 2014-01-04 10:51:31 EST
Guessing this was the same issue as bug 957992, which seems to have been an selinux issue. Will close for now and reopen if it pops up again.

Note You need to log in before you can comment on or make changes to this bug.